Subject: Re: [PATCH] repo: add --all to git-repo-info

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Sep 2025 09:19:02 -0700

Patrick Steinhardt <[email-masked]> writes:

> One thing I wonder is whether we actually need the "--all" flag in the
> first place. Right now, when saying `git repo info` without any further
> arguments, then the user will be met with complete silence. I don't
> really think that this is useful as a default in any way, as it makes it
> very difficult for the user to figure out what kind of information
> exists in the first place.

If we were talking about interactive tool, I might agree, but for a
tool for scriptors,

    tool "$@"

should not silently turn into

    tool --all

when $# == 0.  That is asking for surprises.